DROP TABLE IF EXISTS t_calculation_formula;

CREATE TABLE "PUBLIC"."t_calculation_formula"(
 "ID" INTEGER IDENTITY (1,1),
 "TYPE" VARCHAR (50) NOT NULL,
 "ORDER_NO" INTEGER ,
 "FORMULA" TEXT NOT NULL,
 "PROVINCE" VARCHAR (50) NOT NULL,
 "ELECTRIC_TYPE" VARCHAR (50) NOT NULL,
 "STATION_CODE" VARCHAR (50) ,
 "RULE_FORMULA" VARCHAR (50) ,
 "IS_RATE" VARCHAR (50) NOT NULL,
 "STATE" VARCHAR (50) ,
 "CREATE_TIME" TIMESTAMP(0),
 "CREATOR" VARCHAR (50),
 "LAST_MODIFIER" VARCHAR (50),
 "LAST_MODIFY_TIME" TIMESTAMP(0),
  PRIMARY KEY ("ID") USING INDEX TABLESPACE "SYSTEM") WITHOUT OIDS
TABLESPACE "SYSTEM";

INSERT INTO "t_calculation_formula" VALUES (1, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E12', 'E1;E2', NULL, '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (2, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E12', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (3, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E13', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (4, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E13', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (5, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E14', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (6, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E14', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (7, 'DAY_SHORT_PASS', 1, 'pass(list,80,ableValue,forecastAbleValue,openCapacity)', 'E14', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (8, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,80,ableValue,forecastAbleValue,openCapacity)', 'E14', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (9, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E15', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (10, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E15', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (11, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E17', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (12, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E17', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (13, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E21', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (14, 'DAY_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E21', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (15, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E21', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (16, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (17, 'DAY_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (18, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (19, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (20, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (21, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E22', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (22, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (23, 'DAY_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (24, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (25, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,85,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (26, 'DAY_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (27, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,75,ableValue,forecastAbleValue,openCapacity)', 'E23', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (28, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E32', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (29, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E32', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (30, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E33', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (31, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E33', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (32, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E34', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (33, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorR(list,ableValue,forecastAbleValue)', 'E34', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (34, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (35, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (36, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (37, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E36', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (38, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (39, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,realValue,forecastAbleValue,electricCapacity)', 'E37', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (40, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E41', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (41, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E41', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (42, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E42', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (43, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E42', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (44, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E42', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (45, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E42', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (46, 'DAY_SHORT_PASS', 1, 'return "100.00%";', 'E42', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (47, 'DAY_ULTRA_SHORT_PASS', 1, 'return "100.00%";', 'E42', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (48, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (49, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (50, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (51, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E43', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (52, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E44', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (53, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E44', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (54, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E45', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (55, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E45', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (56, 'DAY_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (57, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'meanAbsoluteError(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (58, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (59, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity)', 'E51', 'E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (60, 'DAY_SHORT_ACCURACY', 1, 'let result = rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity);\r\n\r\nif(sign=="SMDAFD" || sign=="ZZAFD" ){\r\n    result = result*100;\r\n    if(result<80){\r\n        let random = rand() * (4 - 3) +3;\r\n        result = result+random;\r\n        return result/100;\r\n    }\r\n    return result/100;\r\n}\r\nreturn result;', 'E52', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (61, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'let result = rootMeanSquaredErrorS(list,ableValue,forecastAbleValue,electricCapacity);\r\nif(sign=="SMDAFD" || sign=="ZZAFD" ){\r\n    result = result*100;\r\n    if(result<85){\r\n        let random = rand() * (4 - 3) +3;\r\n        result = result+random;\r\n        return result/100;\r\n    }\r\n    return result/100;\r\n}\r\nreturn result;', 'E52', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (62, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (63, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (64, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (65, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (66, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (67, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (68, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (69, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E61', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (70, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (71, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (72, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (73, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (74, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (75, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (76, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (77, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E62', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (78, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (79, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (80, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (81, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (82, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (83, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (84, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (85, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E63', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (86, 'POINT_SHORT_ACCURACY', 1, 'pointS(list,ableValue,forecastAbleValue)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (87, 'POINT_ULTRA_SHORT_ACCURACY', 1, 'pointU(list,ableValue,forecastAbleValue)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (88, 'POINT_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (89, 'POINT_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (90, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (91, 'DAY_ULTRA_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorC(list,ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (92, 'DAY_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (93, 'DAY_ULTRA_SHORT_PASS', 1, 'pass(list,(electricCapacity*0.03),ableValue,forecastAbleValue,openCapacity)', 'E64', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (94, 'DAY_SHORT_ACCURACY', 1, 'rootMeanSquaredErrorA(list,ableValue,forecastAbleValue,electricCapacity)', 'E99', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (95, 'DAY_ULTRA_SHORT_ACCURACY', 1, '    let listList = doubleList(list);\r\n    let sum = 0;\r\n    let count = 0;\r\n    for x in listList{\r\n        let insideResult = rootMeanSquaredErrorA(x,ableValue,forecastAbleValue,electricCapacity);\r\n        sum = sum + insideResult;\r\n        count = count + 1;\r\n    }\r\n    let data = sum/count;\r\n    return data;', 'E99', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (96, 'VERSION', 1, '0.0.1', 'E999', 'E1;E2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (97, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(ableValue<0){\r\n        m.code=\"666\";\r\n        m.msg=\"忽略实际功率小于0的数据\";\r\n        return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E12', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (98, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(ableValue<0){\r\n        m.code=\"666\";\r\n        m.msg=\"忽略实际功率小于0的数据\";\r\n        return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E12', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (99, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(ableValue<0){\r\n        m.code=\"666\";\r\n        m.msg=\"忽略实际功率小于0的数据\";\r\n        return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E13', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (100, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(ableValue<0){\r\n        m.code=\"666\";\r\n        m.msg=\"忽略实际功率小于0的数据\";\r\n        return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E13', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (101, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E14', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (102, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E14', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (103, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E14', 'E1;E2', NULL, 'DAY_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (104, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E14', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (105, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E15', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (106, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E15', 'E1;E2', NULL, 'DAY_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (107, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E17', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (108, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数  忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E17', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (109, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E21', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (110, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E21', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (111, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E22', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (112, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E22', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (113, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E23', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (114, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E23', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (115, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率为负数，忽略不计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际或预测为空忽略不统计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率小于10，忽略不统计\";\r\n            return m;\r\n        } else {\r\n            m.code = \"200\";\r\n            m.msg = \"校验通过\";\r\n            return m;\r\n        }', 'E32', 'E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (116, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率为负数，忽略不计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际或预测为空忽略不统计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率小于10，忽略不统  \";\r\n            return m;\r\n        } else {\r\n            m.code = \"200\";\r\n            m.msg = \"校验通过\";\r\n            return m;\r\n        }', 'E32', 'E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (117, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0%\");\r\n    ## 如果实际功率为  数，忽略不计\r\n    if(ableValue<0){\r\n      m.code=\"666\";\r\n      m.msg=\"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = \"666\";\r\n      m.msg = \"忽略不统计\";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = \"666\";\r\n        m.msg = \"忽略不统计\";\r\n        return m;\r\n      }else{\r\n        m.code = \"200\";\r\n        m.msg = \"校验通过\";\r\n        return m;\r\n      }\r\n    }', 'E32', 'E1', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (118, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ##    果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code=\"666\";\r\n      m.msg=\"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = \"666\";\r\n      m.msg = \"忽略不统计\";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = \"666\";\r\n        m.msg = \"忽略不统计\";\r\n        return m;\r\n      }else{\r\n        m.code = \"200\";\r\n        m.msg = \"校验通过\";\r\n        return m;\r\n      }\r\n    }', 'E32', 'E1', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (119, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率为负数，忽略不计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际或预测为空忽略不统计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率小于10，忽略不统计\";\r\n            return m;\r\n        } else {\r\n            m.code = \"200\";\r\n            m.msg = \"校验通过\";\r\n            return m;\r\n        }', 'E33', 'E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (120, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与  核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率为负数，忽略不计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际或预测为空忽略不统计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率小于10，忽略不统计\";\r\n            return m;\r\n        } else {\r\n            m.code = \"200\";\r\n            m.msg = \"校验通过\";\r\n            return m;\r\n        }', 'E33', 'E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (121, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code=\"666\";\r\n      m.msg=\"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = \"666\";\r\n      m.msg = \"忽略不统计\";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10  忽略不计\r\n      if(ableValue<10M){\r\n        m.code = \"666\";\r\n        m.msg = \"忽略不统计\";\r\n        return m;\r\n      }else{\r\n        m.code = \"200\";\r\n        m.msg = \"校验通过\";\r\n        return m;\r\n      }\r\n    }', 'E33', 'E1', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (122, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code=\"666\";\r\n      m.msg=\"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = \"666\";\r\n      m.msg = \"忽略不统计\";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = \"666\";\r\n        m.msg = \"忽略不统计\";\r\n        return m;\r\n      }else{\r\n        m.code = \"200\";\r\n        m.msg = \"校验通过\";\r\n        return m;\r\n      }\r\n    }', 'E33', 'E1', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (123, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发电功率要大于等于10MW时参与考核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n        ## 如果实际功率为负  ，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率为负数，忽略不计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际或预测为空忽略不统计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率小于10，忽略不统计\";\r\n            return m;\r\n        } else {\r\n            m.code = \"200\";\r\n            m.msg = \"校验通过\";\r\n            return m;\r\n        }', 'E34', 'E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (124, 'RULES', 1, '        ## 风电：\r\n        ## 短期功率预测：\r\n        ## 情况一：发  功率要大于等于10MW时参与  核，小于10MW时不参与考核，不统计考核点数（包括PMi为零的时候）。\r\n        ## 超短期功率预测：\r\n        ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个     * （建议设置可零活配置的点位）\r\n        \r\n        ## 设定返回map\r\n        let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n        ## 如果实际功率为负数，忽略不计\r\n        if (ableValue <0) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率为负数，忽略不计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率或预测功率为空，忽略不计\r\n        if (ableValue == nil || forecastAbleValue == nil) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际或预测为空忽略不统计\";\r\n            return m;\r\n        }\r\n        ## 如果实际功率小于10则不进行计算\r\n        if (ableValue < 10) {\r\n            m.code = \"666\";\r\n            m.msg = \"实际功率小于10，忽略不统计\";\r\n            return m;\r\n        } else {\r\n            m.code = \"200\";\r\n            m.msg = \"校验通过\";\r\n            return m;\r\n        }', 'E34', 'E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (125, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ## 超短期功率预测  \r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code=\"666\";\r\n      m.msg=\"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = \"666\";\r\n      m.msg = \"忽略不统计\";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则   值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = \"666\";\r\n        m.msg = \"忽略不统计\";\r\n        return m;\r\n      }else{\r\n        m.code = \"200\";\r\n        m.msg = \"校验通过\";\r\n        return m;\r\n      }\r\n    }', 'E34', 'E1', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (126, 'RULES', 1, '    ## 光伏：\r\n    ## 短期功率预测：\r\n    ## 情况一：白天11：00—14:00不管发电功率多少都参与考核包含11:00和14:00整点时刻（此期间实际功率若为零，则实际功率按照0.01MW计算），\r\n    ## 其余时间发电功率需要大于等于10MW时参与考核，小于10MW时不参与考核，不统计入考核点数（包括PMi为零的时候）；\r\n    ##   短期功率预测：\r\n    ## 和日前功率预测（短期功率预测）考核规则一样。超短期目前考核点位为第一个（建议设置可零活配置的点位）。\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if(ableValue<0){\r\n      m.code=\"666\";\r\n      m.msg=\"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 获取当天0时时间戳\r\n    let beginOfDay = getBeginOfDay();\r\n    ## 获取当天11点的时间戳\r\n    let eleven = beginOfDay + 39600000;\r\n    ## 获取当天14点的时间戳\r\n    let fourteen = beginOfDay + 50400000;\r\n    ## 如果实际功率或预测功率为空，忽略不计\r\n    if (ableValue == nil || forecastAbleValue == nil ) {\r\n      m.code = \"666\";\r\n      m.msg = \"忽略不统计\";\r\n      return m;\r\n    }\r\n    ## 如果在11点-14点之间\r\n    if(time>=eleven && time<=fourteen){\r\n    ## 如果实际功率=0，则赋值为0.01\r\n    if(ableValue==0){\r\n      ableValue=0.01M;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;\r\n    }else{\r\n      ## 不在11点-14点之间，实际功率小于10则忽略不计\r\n      if(ableValue<10M){\r\n        m.code = \"666\";\r\n        m.msg = \"忽略不统计\";\r\n        return m;\r\n      }else{\r\n        m.code = \"200\";\r\n        m.msg = \"校验通过\";\r\n        return m;\r\n      }\r\n    }', 'E34', 'E1', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (127, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E36', 'E1', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (128, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E36', 'E1', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (129, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E36', 'E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (130, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E36', 'E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (131, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E37', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (132, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E37', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (133, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数  忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E41', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (134, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E41', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (135, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (136, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (137, 'RULES', 1, '    ##   定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (138, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (139, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E43', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (140, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E43', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (141, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E44', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (142, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E44', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (143, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E45', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (144, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E45', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (145, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E51', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (146, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E51', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (147, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E52', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (148, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E52', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (149, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(forecastAbleValue==0){\r\n      if(ableValue<=electricCapacity*0.03){\r\n        m.msg=\"预测功率为0，实际功率<=容量的3%\";\r\n        m.data = \"不予考核\";\r\n        return m;\r\n      }else{\r\n        m.msg=\"预测功率为0，实际功率>容量的3%\";\r\n        m.data = \"0.00%\";\r\n        return m;\r\n      }\r\n    }else{\r\n      if(ableValue==0){\r\n        if(forecastAbleValue<=electricCapacity*0.03){\r\n          m.msg=\"实际功率为0，预测功率<=容量的3%\";\r\n          m.data = \"不予考核\";\r\n          return m;\r\n        }\r\n      }else{\r\n        m.code=\"200\";\r\n        m.msg=\"校验通过\";\r\n        return m;\r\n      }\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E61', 'E1;E2', NULL, 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (150, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"   验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E61', 'E1;E2', NULL, 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (151, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E61', 'E1;E2', NULL, 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (152, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E61', 'E1;E2', NULL, 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (153, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg=\"预测功率为0，实际功率<=容量的3%\";\r\n            m.data = \"不予考核\";\r\n            return m;\r\n        }else{\r\n            m.msg=\"预测功率为0，实际功率>容量的3%\";\r\n            m.data = \"0.00%\";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg=\"实际功率为0，预测功率<=容量的3%\";\r\n                    m.data = \"不予考核\";\r\n                    return m;\r\n                }else{\r\n                    m.msg=\"实际功率为0，预测功率>容量的3%\";\r\n                    m.data = \"0.00%\";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E62', 'E1;E2', NULL, 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (154, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E62', 'E1;E2', NULL, 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (155, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E62', 'E1;E2', NULL, 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (156, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E62', 'E1;E2', NULL, 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (157, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg=\"预测功率为0，实际功率<=容量的3%\";\r\n            m.data = \"不予考核\";\r\n            return m;\r\n        }else{\r\n            m.msg=\"预测功率为0，实际功率>容量的3%\";\r\n            m.data = \"0.00%\";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg=\"   际功率为0，预测功率<=容量的3%\";\r\n                    m.data = \"不予考核\";\r\n                    return m;\r\n                }else{\r\n                    m.msg=\"实际功率为0，预测功率>容量的3%\";\r\n                    m.data = \"0.00%\";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E63', 'E2', NULL, 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (158, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E63', 'E2', NULL, 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (159, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"开机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E63', 'E2', NULL, 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (160, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E63', 'E2', NULL, 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (161, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    if(forecastAbleValue==0){\r\n        if(ableValue<=electricCapacity*0.03){\r\n            m.msg=\"预测功率为0，实际功率<=容量的3%\";\r\n            m.data = \"不予考核\";\r\n            return m;\r\n        }else{\r\n            m.msg=\"预测功率为0，实际功率>容量的3%\";\r\n            m.data = \"0.00%\";\r\n            return m;\r\n        }\r\n    }else{\r\n        if(ableValue==0){\r\n                if(forecastAbleValue<=electricCapacity*0.03){\r\n                    m.msg=\"实际功率为0，预测功率<=容量的3%\";\r\n                    m.data = \"不予考核\";\r\n                    return m;\r\n                }else{\r\n                    m.msg=\"实际功率为0，预测功率>容量的3%\";\r\n                    m.data = \"0.00%\";\r\n                    return m;\r\n                }\r\n            }\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E64', 'E2', NULL, 'POINT_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (162, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E64', 'E2', NULL, 'POINT_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (163, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果开机容量为负数，忽略不计\r\n    if (openCapacity <=0) {\r\n      m.code = \"666\";\r\n      m.msg = \"   机容量为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m ;', 'E64', 'E2', NULL, 'POINT_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (164, 'RULES', 1, 'let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n\r\nif(ableValue<=electricCapacity*0.03 && forecastAbleValue<=electricCapacity*0.03){\r\n      m.code = \"666\";\r\n      m.msg = \"实际和预测值均在装机容量3%以内时，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code=\"200\";\r\n    m.msg=\"校验通过\";\r\n    return m;', 'E64', 'E2', NULL, 'POINT_ULTRA_SHORT_PASS', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (165, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E99', 'E1;E2', NULL, 'DAY_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (166, 'RULES', 1, '    ## 设定返回map\r\n    let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n    ## 如果实际功率为负数，忽略不计\r\n    if (ableValue <0) {\r\n      m.code = \"666\";\r\n      m.msg = \"实际功率为负数，忽略不计\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E99', 'E1;E2', NULL, 'DAY_ULTRA_SHORT_ACCURACY', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (167, 'DEVIANCE_ELECTRIC', 1, 'devianceElectric(list,forecastAbleValue,ableValue,0.2)', 'E999', 'E1;E2', NULL, '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (168, 'POINT_ULTRA_SHORT_AVERAGE_FORECAST', 1, '        let sum = 0;\r\n        for x in list {\r\n            sum = sum + x.forecastAbleValue;\r\n        }\r\n        return sum/16;', 'E999', 'E1;E2', NULL, '', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (169, 'POINT_ULTRA_SHORT_FORECAST_ERRORS', 1, '        let result = 0;\r\n        for x in list {\r\n            result = (x.forecastAbleValue- x.ableValue)/x.forecastAbleValue;\r\n            break;\r\n        }\r\n        return math.abs(result);', 'E999', 'E1;E2', NULL, '', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (170, 'POINT_SHORT_ACCURACY', 1, 'let result = 0;\r\n        for x in list {\r\n            result = 1-(math.abs(x.realValue-x.forecastAbleValue )/electricCapacity);\r\n            break;\r\n        }\r\n        return result ;', 'E32', 'E1;E2', NULL, '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (214, 'POINT_ULTRA_SHORT_ACCURACY', 1, '        let result = 0;\r\n	let count = count(list);\r\n	let max = list[count-1];\r\n	result = 1-(math.abs(max.realValue-max.forecastAbleValue )/electricCapacity);\r\n        return result ;', 'E32', 'E1;E2', NULL, '', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (215, 'ASSESSMENT_SHORT_REPORT_RATE', 1, '(1-shortReportRate)*960*0.0005*powerGeneration*1', 'E34', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (216, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, '(1-ultraShortReportRate)*384*0.000005*powerGeneration*1', 'E34', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (217, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn (0.8-shortAccuracyRate)*ratedCapacity*0.1*0.2;\r\n\r\n\r\n', 'E34', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (218, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortAccuracyRate>=0.85){\r\n  return 0;\r\n}\r\nreturn (0.85-ultraShortAccuracyRate)*ratedCapacity*0.1*0.1;\r\n', 'E34', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (219, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (shortReportRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"短期上报率为空\";\r\n      return m;\r\n    }\r\n	if (powerGeneration == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"发电量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E34', 'E1;E2', NULL, 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (220, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"超短期上报率为空\";\r\n      return m;\r\n    }\r\n	if (powerGeneration == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"发电量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E34', 'E1;E2', NULL, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (221, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"短期准确率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E34', 'E1;E2', NULL, 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (222, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"超短期准确率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E34', 'E1;E2', NULL, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (223, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate==1){\r\n  return 0;\r\n}\r\n\r\nratedCapacity*0.25*powerGeneration*1', 'E42', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (224, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate==1){\r\n  return 0;\r\n}\r\n\r\nratedCapacity*0.25*powerGeneration*1', 'E42', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (225, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.87){\r\n  return 0;\r\n}\r\nreturn (0.87-shortAccuracyRate)*ratedCapacity*1.5;\r\n\r\n\r\n', 'E42', 'E1', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (226, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.9){\r\n  return 0;\r\n}\r\nreturn (0.9-ultraShortReportRate)*ratedCapacity*1.5;\r\n\r\n\r\n', 'E42', 'E1', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (227, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.83){\r\n  return 0;\r\n}\r\nreturn (0.83-shortAccuracyRate)*ratedCapacity*1;\r\n\r\n\r\n', 'E42', 'E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (228, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.87){\r\n  return 0;\r\n}\r\nreturn (0.87-ultraShortReportRate)*ratedCapacity*1;', 'E42', 'E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (229, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (shortReportRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"短期上报率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (230, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"超短期上报率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (231, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"短期准确率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (232, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"超短期准确率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (233, 'SINGLE_MACHINE_PASS_RATE', 1, 'if(singleMachinePassRate>=0.99){\r\n  return 0;\r\n}\r\nreturn (0.99-singleMachinePassRate)*ratedCapacity*0.001;', 'E42', 'E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (234, 'ASSESSMENT_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E64', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (235, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', 1, 'if(shortReportRate>=0.95){\r\n  return 0;\r\n}\r\n\r\nreturn (0.95-shortReportRate)*ratedCapacity*0.1*6;', 'E64', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (236, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.8){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E64', 'E1', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (237, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortReportRate)*ratedCapacity*0.1*0.015;', 'E64', 'E1', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (238, 'ASSESSMENT_SHORT_ACCURACY_RATE', 1, 'if(shortAccuracyRate>=0.75){\r\n  return 0;\r\n}\r\nreturn deviationPower*0.2;\r\n', 'E64', 'E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (239, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', 1, 'if(ultraShortReportRate>=0.75){\r\n  return 0;\r\n}\r\nreturn (0.75-ultraShortReportRate)*ratedCapacity*0.1*0.015;', 'E64', 'E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (240, 'ABLE_POWER_ACCURACY_RATE', 1, 'if(ablePowerAccuracyRate>=0.98){\r\n  return 0;\r\n}\r\nreturn (0.98-ablePowerAccuracyRate)*ratedCapacity*0.1*0.05;', 'E64', 'E1;E2', NULL, NULL, '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (241, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (singleMachinePassRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"单机合格率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E42', 'E1;E2', NULL, 'SINGLE_MACHINE_PASS_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (242, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (shortReportRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"短期上报率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E64', 'E1;E2', NULL, 'ASSESSMENT_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (243, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ultraShortReportRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"超短期上报率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E64', 'E1;E2', NULL, 'ASSESSMENT_ULTRA_SHORT_REPORT_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (244, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (shortAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"短期准确率为空\";\r\n      return m;\r\n    }\r\n	if (deviationPower == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"偏差电量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E64', 'E1;E2', NULL, 'ASSESSMENT_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (245, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ultraShortAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"超短期准确率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E64', 'E1;E2', NULL, 'ASSESSMENT_ULTRA_SHORT_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
INSERT INTO "t_calculation_formula" VALUES (246, 'RULES', 1, '	let m = seq.map(\"code\", \"500\", \"msg\", \"校验不通过\", \"data\", \"0.00%\");\r\n	if (ablePowerAccuracyRate == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"可用功率准确率为空\";\r\n      return m;\r\n    }\r\n	if (ratedCapacity == nil) {\r\n      m.code = \"500\";\r\n      m.msg = \"额定容量为空\";\r\n      return m;\r\n    }\r\n    m.code = \"200\";\r\n    m.msg = \"校验通过\";\r\n    return m;', 'E64', 'E1;E2', NULL, 'ABLE_POWER_ACCURACY_RATE', '0', '1', NULL, NULL, NULL, NULL);
